Index: LVM2.2.02.61/daemons/cmirrord/functions.c
===================================================================
--- LVM2.2.02.61.orig/daemons/cmirrord/functions.c	2010-03-04 15:38:48.000000000 +0800
+++ LVM2.2.02.61/daemons/cmirrord/functions.c	2010-03-04 19:17:27.000000000 +0800
@@ -398,7 +398,7 @@
 		disk_log = 1;
 
 		if ((argc < 2) || (argc > 4)) {
-			LOG_ERROR("Too %s arguments to clustered-disk log type",
+			LOG_ERROR("Too %s arguments to clustered_disk log type",
 				  (argc < 3) ? "few" : "many");
 			r = -EINVAL;
 			goto fail;
@@ -414,7 +414,7 @@
 		disk_log = 0;
 
 		if ((argc < 1) || (argc > 3)) {
-			LOG_ERROR("Too %s arguments to clustered-core log type",
+			LOG_ERROR("Too %s arguments to clustered_core log type",
 				  (argc < 2) ? "few" : "many");
 			r = -EINVAL;
 			goto fail;
@@ -422,7 +422,7 @@
 	}
 
 	if (!(region_size = strtoll(argv[disk_log], &p, 0)) || *p) {
-		LOG_ERROR("Invalid region_size argument to clustered-%s log type",
+		LOG_ERROR("Invalid region_size argument to clustered_%s log type",
 			  (disk_log) ? "disk" : "core");
 		r = -EINVAL;
 		goto fail;
@@ -589,8 +589,8 @@
 	for (i = 0; i < argc; i++, p = p + strlen(p) + 1)
 		argv[i] = p;
 
-	if (strcmp(argv[0], "clustered-disk") &&
-	    strcmp(argv[0], "clustered-core")) {
+	if (strcmp(argv[0], "clustered_disk") &&
+	    strcmp(argv[0], "clustered_core")) {
 		LOG_ERROR("Unsupported userspace log type, \"%s\"", argv[0]);
 		free(argv);
 		return -EINVAL;
@@ -1391,7 +1391,7 @@
 {
 	char *data = (char *)rq->data;
 
-	rq->data_size = sprintf(data, "1 clustered-core");
+	rq->data_size = sprintf(data, "1 clustered_core");
 
 	return 0;
 }
@@ -1406,7 +1406,7 @@
 		return -errno;
 	}
 
-	rq->data_size = sprintf(data, "3 clustered-disk %d:%d %c",
+	rq->data_size = sprintf(data, "3 clustered_disk %d:%d %c",
 				major(statbuf.st_rdev), minor(statbuf.st_rdev),
 				(lc->log_dev_failed) ? 'D' : 'A');
 
@@ -1441,7 +1441,7 @@
 {
 	char *data = (char *)rq->data;
 
-	rq->data_size = sprintf(data, "clustered-core %u %s%s ",
+	rq->data_size = sprintf(data, "clustered_core %u %s%s ",
 				lc->region_size,
 				(lc->sync == DEFAULTSYNC) ? "" :
 				(lc->sync == NOSYNC) ? "nosync " : "sync ",
@@ -1459,7 +1459,7 @@
 		return -errno;
 	}
 
-	rq->data_size = sprintf(data, "clustered-disk %d:%d %u %s%s ",
+	rq->data_size = sprintf(data, "clustered_disk %d:%d %u %s%s ",
 				major(statbuf.st_rdev), minor(statbuf.st_rdev),
 				lc->region_size,
 				(lc->sync == DEFAULTSYNC) ? "" :
